// Site header

.site-header {
	background-color: $color__primary;
	position: fixed;
	z-index: 99;
	width: 100%;

	.site-branding-container {
		padding: 0 calc(10% + 60px) !important;
		color: white;
		display: flex;
		.brand-link {
			color: #b3e0db;
			font-size: 16px;
			font-weight: bold;
			padding: 12px 6px;
			&:hover {
				color: white;
				text-decoration: none;
			}
		}
		.header-right {
			margin-left: auto;
			align-self: center;
			font-size: 14px;
			font-weight: bold;
			a {
				color: white;
				padding: 3px 13px;
				&:hover {
					text-decoration: none;
				}
				&:last-child {
					border-left: 1px solid white;
				}
			}
		}
	}

	.site-branding-subheader-container {
		.content {
			padding: 0 calc(10% + 60px) !important;
			display: flex;
			align-items: center;
			.icon-home {
				margin-right: auto;
				padding-top: 12px;
			}
			.search-field {
				background-color: #eff5f8;
				padding-left: 50px;
				font-size: 18px;
				border: 0;
				color: $color__primary;
			}
			.search-submit {
				display: none;
			}
			.search-submit-icon {
				position: absolute;
				padding: 8px 16px;
				color: $color__primary;
			}
		}
		border-bottom: 2px solid #e7ecf0;
		background-color: white;
	}

	@include media(tablet) {
		margin: 0;
		padding: 0;
	}
}

// Site branding

.site-branding {

	color: $color__text-light;
	-webkit-hyphens: auto;
	-moz-hyphens: auto;
	-ms-hyphens: auto;
	hyphens: auto;
	position: relative;
	word-wrap: break-word;

	@include media(tablet) {
		margin: 0 $size__site-margins;
	}
}

// Site logo

.site-logo {

	position: relative;
	z-index: 999;
	margin-bottom: calc(.66 * #{$size__spacing-unit});

	@include media(tablet) {
		margin-bottom: 0;
		position: absolute;
		right: calc(100% + (1.25 * #{$size__spacing-unit}));
		top: 4px; // Accounts for box-shadow widths
		z-index: 999;
	}

	.custom-logo-link {
		border-radius: 100%;
		box-sizing: content-box;
		box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
		display: block;
		width: 50px;
		height: 50px;
		overflow: hidden;
		transition: box-shadow $background_transition ease-in-out;

		.custom-logo {
			min-height: inherit;
		}

		&:hover,
		&:active,
		&:focus {
			box-shadow: 0 0 0 2px rgba(0, 0, 0, 1);
		}

		@include media(tablet) {
			width: 64px;
			height: 64px;
		}
	}
}

// Site title

.site-title {
	margin: auto;
	display: inline;
	color: $color__text-main;

	a {
		color: $color__text-main;

		&:link,
		&:visited {
			color: $color__text-main;
		}

		&:hover {
			color: $color__text-hover;
		}
	}

	.featured-image & {
		margin: 0;

		@include media(tablet) {
			display: inline-block;
		}
	}

	/* When there is no description set, make sure navigation appears below title. */
	+ .main-navigation {
		display: block;
	}

	@include media(tablet) {
		display: inline;
	}

	&:not(:empty) + .site-description:not(:empty):before {
		content: "\2014";
		margin: 0 .2em;
	}
}

// Site description

.site-description {

	display: inline;
	color: $color__text-light;
	font-weight: normal;
	margin: 0;
}
